;; -*- Emacs-Lisp -*-
;; File: prcs-el.emacsen-startup
;; Description: Startup file for the prcs-mode in Debian systems
;; Author: Rafael Laboissiere <rafael@debian.org>
;; Created on: Oct 23 1999
;; Last modified on: Thu Jun  3 20:21:05 CEST 1999

;; Modified by Romain Francoise <rfrancoise@debian.org> to remove
;; unnecessary special-casing of Emacs 19 and add various improvements,
;; with inspiration from the emacs-goodies-el package, thanks!

(if (not (file-exists-p "/usr/share/emacs/site-lisp/prcs"))
    (message "Package prcs removed but not purged. Skipping setup.")

  ;; Replace all occurrences of nil in load-path by "." since nil breaks
  ;; debian-pkg-add-load-path-item
  (if (memq nil load-path)
      (setq load-path (substitute "." nil load-path)))

  (debian-pkg-add-load-path-item
   (concat "/usr/share/"
	   (symbol-name debian-emacs-flavor)
	   "/site-lisp/prcs"))

  ;; Make sure that the uncompiled files are also in the load-path, near
  ;; the end.  This is for moving point to the code when view help.
  (setq load-path (nconc
		   load-path
		   (list "/usr/share/emacs/site-lisp/prcs")))

  (require 'prcs-hooks))
